<?xml version="1.0" encoding="UTF-8"?>

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>io.geekidea.springbootplus</groupId>
        <artifactId>parent</artifactId>
        <version>2.0</version>
    </parent>

    <artifactId>bootstrap</artifactId>
    <name>bootstrap</name>
    <description>项目启动模块</description>

    <dependencies>

        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>framework</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>io.geekidea.springbootplus</groupId>-->
<!--            <artifactId>api-app</artifactId>-->
<!--        </dependency>-->


        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>core</artifactId>
        </dependency>

        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>scheduled</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring-boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>


</project>
